[Freeswitch-svn] [commit] r9169 - freeswitch/trunk/scripts

Freeswitch SVN brian at freeswitch.org
Thu Jul 24 12:14:21 EDT 2008


Author: brian
Date: Thu Jul 24 12:14:20 2008
New Revision: 9169

Added:
   freeswitch/trunk/scripts/freeswitch-gcore
   freeswitch/trunk/scripts/freeswitch-reporter

Log:
add scripts from MODAPP-89

Added: freeswitch/trunk/scripts/freeswitch-gcore
==============================================================================
--- (empty file)
+++ freeswitch/trunk/scripts/freeswitch-gcore	Thu Jul 24 12:14:20 2008
@@ -0,0 +1,12 @@
+#!/bin/bash
+fspid=$(cat /usr/local/freeswitch/log/freeswitch.pid)
+gcore -o /usr/local/freeswitch/log/freeswitch.gcore $fspid && \
+	gdb /usr/local/freeswitch/bin/freeswitch \
+	-c /usr/local/freeswitch/log/freeswitch.gcore.$fspid \
+	--eval-command='set pagination off' \
+	--eval-command='bt' \
+	--eval-command='bt full' \
+	--eval-command='thread apply all bt' \
+	--eval-command='thread apply all bt full' \
+	--eval-command='quit'
+rm /usr/local/freeswitch/log/freeswitch.gcore.$fspid

Added: freeswitch/trunk/scripts/freeswitch-reporter
==============================================================================
--- (empty file)
+++ freeswitch/trunk/scripts/freeswitch-reporter	Thu Jul 24 12:14:20 2008
@@ -0,0 +1,29 @@
+#!/bin/bash
+email=traces at freeswitch.org
+errorlvl=1
+while [ $errorlvl -gt 0 ]
+do
+	/usr/local/freeswitch/bin/freeswitch -core
+	errorlvl=$?
+	if [ $errorlvl -gt 0 ]; then
+		pid=$(cat /usr/local/freeswitch/log/freeswitch.pid)
+		corefile=core.$pid
+		tempfile=$(tempfile)
+		if [ -f $corefile ]; then
+			reset
+			echo From: freeswitch at jasongarland.com >>$tempfile
+			echo >>$tempfile
+			echo >>$tempfile
+			echo Host: $(hostname -f) >>$tempfile
+			gdb /usr/local/freeswitch/bin/freeswitch -c $corefile \
+			--eval-command='set pagination off' \
+			--eval-command='bt full' \
+			--eval-command='quit' >>$tempfile
+			cat $tempfile|rmail $email
+			rm $tempfile
+		fi
+	fi
+
+	#sleep 5s
+
+done



More information about the Freeswitch-svn mailing list